<?php
/*
    Author: WebRotate 360 LLC
    Author URI: https://www.webrotate360.com
    License: GPLv2
*/

if (!defined("ABSPATH"))
    exit;

class WR360Options
{
    public static $DEFAULT_WOO_THUMB_360_URL = "webrotate-360-product-viewer/gallery/img/360thumb.svg";
    public static $DEFAULT_WOO_THUMB_POISTION = "First";
    public static $DEFAULT_WOO_SLIDE_SPEED = 700;
    public static $DEFAULT_WOO_THUMB_LARGE_SZ = 100;
    public static $DEFAULT_WOO_THUMB_SMALL_SZ = 50;
    public static $DEFAULT_WOO_THUMB_SPACING = 20;
    public static $DEFAULT_WOO_THUMB_BACKGROUND = "";
    public static $DEFAULT_WOO_THUMB_BORDER_COLOR = "";
    public static $DEFAULT_WOO_THUMB_BORDER_COLOR_SEL = "";

    public function __construct()
    {
        add_action("admin_init", array($this, "admin_register_webrotate360_settings"));
        add_action("admin_menu", array($this, "admin_webrotate360_menu"));
    }

    public function admin_webrotate360_menu()
    {
        add_options_page(
            "WebRotate 360 Product Viewer Options",
            "WebRotate 360",
            "manage_options",
            "webrotate360-menu",
            array($this, "admin_webrotate360_options"));
    }

    public function admin_webrotate360_options()
    {
        include (plugin_dir_path(__FILE__) . "templates/optionspage.php");
    }

    public function admin_register_webrotate360_settings()
    {
        register_setting("webrotate360-settings-group", "wr360_viewer_width");
        register_setting("webrotate360-settings-group", "wr360_viewer_height");
        register_setting("webrotate360-settings-group", "wr360_viewer_basewidth");
        register_setting("webrotate360-settings-group", "wr360_viewer_minheight");
        register_setting("webrotate360-settings-group", "wr360_viewer_skin");
        register_setting("webrotate360-settings-group", "wr360_popup_skin");
        register_setting("webrotate360-settings-group", "wr360_prettyphoto_off");
        register_setting("webrotate360-settings-group", "wr360_master_config");
        register_setting("webrotate360-settings-group", "wr360_license_path");
        register_setting("webrotate360-settings-group", "wr360_use_googleevents");
        register_setting("webrotate360-settings-group", "wr360_graphics_path");
        register_setting("webrotate360-settings-group", "wr360_api_ready_callback");
        register_setting("webrotate360-settings-group", "wr360_background_color");
        register_setting("webrotate360-settings-group", "wr360_gallery_woo_thumb_position", ["default" => self::$DEFAULT_WOO_THUMB_POISTION]);
        register_setting("webrotate360-settings-group", "wr360_gallery_woo_slide_speed", ["default" => self::$DEFAULT_WOO_SLIDE_SPEED]);
        register_setting("webrotate360-settings-group", "wr360_gallery_woo_thumb_360_url", ["default" => plugins_url(self::$DEFAULT_WOO_THUMB_360_URL)]);
        register_setting("webrotate360-settings-group", "wr360_gallery_woo_thumb_large", ["default" => self::$DEFAULT_WOO_THUMB_LARGE_SZ]);
        register_setting("webrotate360-settings-group", "wr360_gallery_woo_thumb_small", ["default" => self::$DEFAULT_WOO_THUMB_SMALL_SZ]);
        register_setting("webrotate360-settings-group", "wr360_gallery_woo_thumb_spacing", ["default" => self::$DEFAULT_WOO_THUMB_SPACING]);
        register_setting("webrotate360-settings-group", "wr360_gallery_woo_thumb_background", ["default" => self::$DEFAULT_WOO_THUMB_BACKGROUND]);
        register_setting("webrotate360-settings-group", "wr360_gallery_woo_thumb_border_color", ["default" => self::$DEFAULT_WOO_THUMB_BORDER_COLOR]);
        register_setting("webrotate360-settings-group", "wr360_gallery_woo_thumb_border_color_sel", ["default" => self::$DEFAULT_WOO_THUMB_BORDER_COLOR_SEL]);
    }
}
